真空波動研Lite 260101
2026/01/01

	・本体の変更

		・右クリック->[選択ファイルを移動]が動かなくなっていたのを修正しました。

		・ツールバーを上下左右移動できるように変更しました。(上下はボタンを追加してあります)
		  左右移動後にゴミが残りますが、最小化→復帰等で戻ります。(対処できそうならします)

	・DLLの変更

		・RIFFコンテナ(WAV)に以下の追加をしました。

			・チャプターの有無と数を表示するようにしました。

		・MP3に以下の修正をしました。

			・ffmpeg(libavcodec)でCBRでエンコードしたMP3がVBRと認識されるのを修正しました。

			・LAME3.90以下でエンコードしたMP3のエンコーダ名が途中で切れる場合があったのを修正しました。

			・VBRタグの種類と表示を整理しました。以下のパターンになります。
			  VBRI, Xing, Xing-LAME, Info, Info-LAME

		・QuickTime(MP4)コンテナに以下の修正をしました。

			・音声が無圧縮PCMの場合に解析に失敗するのを修正しました。(iPhoneのLive Photos等)

	・codecs.iniの変更

		・以下を追加しました。

			[QT-AUDIO]
			LPCM -> PCM
			OPUS -> Opus

真空波動研Lite 250101
2025/01/01

	・本体に変更はありません。(バージョン数字を合わせたのみ)

	・DLLの変更

		・QuickTime(MP4)コンテナ、Matroskaコンテナに以下の修正をしました。

			・メタデータ周りの読み込みを調整中です。(結果が良くないようであれば戻します)

			・Insta360 ACE PROで記録した動画で解析に失敗するのを修正しました。

			・AVC.H.264でUnknownProfile(xx)と出るプロファイルの追加をしました。

			・AVC.H.264でUnknownLevel(xx)と出るレベルの追加をしました。(5.2〜6.2まで)

	・codecs.iniの変更

		・以下を追加しました。

			[QT-AUDIO]
			EC-3 -> Dolby Enhanced AC-3

真空波動研Lite 240310
2024/03/10

	・本体に変更はありません。(バージョン数字を合わせたのみ)

	・DLLの変更

		・TAK (*.tak)に対応しました。

		・EXE (*.exe,*.dll,*.vxd,*.scr等)に対応しました。

		・APEv2の埋込画像の抽出に対応しました。(JPEGのみ確認)

		・RIFFコンテナ(WAV)に以下の追加をしました。

			・WaveGainで適用したゲイン値の表示に対応しました。89dbを基準に相対差で記録されているゲイン値を表示します。
			  (MP3やAACのゲイン値と同じ表示です)

		・QuickTime(MP4)コンテナ、Matroskaコンテナに以下の修正をしました。

			・GoPro HERO 11,12 Blackで記録した動画で解析に失敗するのを修正しました。
			・DJI OSMO Action4で記録した動画で解析に失敗するのを修正しました。

真空波動研Lite 230101
2023/01/01

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 220101
2022/01/01

	・DLLの変更

		・Matroskaに以下の修正をしました。

			・Extraに全体ビットレートの表示を追加しました。
			  (ファイル全体なので実データ以外も含まれているレートです)

真空波動研Lite 210704
2021/07/04

	・本体の変更

		・リストの削除・アイテム移動(一つ上や下等)を高速化しました。
		  (たぶん速くなってると思います)

	・DLLの変更

		・RIFFコンテナ(WAV)に以下の修正をしました。

			・XMA/XMA2の詳細表示に対応しました。
			  (XMAで複数ストリームがあった場合の対応は一応してありますが実物が無いので未確認です)

		・QuickTimeコンテナ(MPEG4)に以下の修正をしました。

			・映像がAVC/H.264の場合に解析に失敗する場合があったのを修正しました。
			・字幕(sbtlを使った方式)の数のカウントに対応しました。Extraの部分に[SubTitle/sbtl(xx)]で表示します。

		・Matroskaに以下の修正をしました。

			・V_MPEG4/ISO/ASPに対応しました。(MPEG4(advanced simple profile))
			・V_MPEG4/ISO/APに対応しました。(MPEG4(advanced profile))

	・codecs.iniの変更

		・以下を追加しました。

		  [WAV]
		  0165 -> XMA
		  0166 -> XMA2

真空波動研Lite 210101
2021/01/01

	・DLLの変更

		・QuickTime(MP4)コンテナ、Matroskaコンテナに以下の修正をしました。

			・xHE-AACの音声に対応しました(通常のAACとして解析しておかしな結果が出てました)

		・FLACに以下の修正をしました。

			・ID3v2とID3v1に対応しました。

		・AIFFに以下の修正をしました。

			・解析で無限ループする場合があるのを修正しました。

真空波動研Lite 200407
2020/04/07

	・今回からDLLの変更は真空波動研と同様の内容を記載します。

	・DLLの変更

		・RIFFコンテナに以下の修正をしました。

			・WAVEの解析で応答なしになる場合があるのを修正しました。

		・FLACに以下の修正をしました。

			・ブロック長が0のヘッダがある場合にメモリの確保に失敗と出て解析に失敗する場合があるのを修正しました。

真空波動研Lite 200101
2020/01/01

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 190511
2019/05/11

	・190501からDwm系の関数を使ったためにXPで動かなくなっていたのを戻しました。
	  (自力で呼ぶようにしました)

	・非ダークモード時はプレイリストの罫線を出すように変更しました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 190501
2019/05/01

	・[設定]->[操作バーを隠す]で上部のバーを非表示にする設定を追加しました。

	・[設定]->[演奏前にファイルを再チェックする]を追加しました。
	  演奏前にそのファイルを自動で再検査します。

	・ダークモードの兼ね合いでプレイリストの罫線をOFFにしました。(白で罫線が出て見づらいため)

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 180820
2018/08/20

	・[動作]メニューを[設定]へ名前の変更をしました。

	・検索機能をリスト上部のテキストボックスに入力する方法に変更しました。入力後にENTERで次候補への検索ができます。
	  リスト上でCTRL+Fでテキストボックスにフォーカスが当たり、ESCでリストにフォーカスが当たります。

真空波動研Lite 180519
2018/05/19

	・立ち上げたままWindowsを終了させた場合に設定やリストが消える(または一部破損)場合があるのを修正しました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 180303
2018/03/03

	・リストで1行でも選択している場合、リストのスクロールができない状態になっていたのを修正しました。
	  (スクロールをしても選択行が見える位置まで戻されてました)

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 171022
2017/10/22

	・Windows10 Fall Creators Updateが適用された環境で、以下の条件でハングアップしてしまうのを修正しました。
	   1 : 真空波動研Liteが既に起動済み
	   2 : 関連付け起動、またはアイコン/ショートカット経由で登録したいファイルをドロップした

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 170720
2017/07/20

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 170226
2017/02/26

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 161107
2016/11/07

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 160508
2016/05/08

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 151101
2015/11/01

	・High DPIに対応しました(Windows8以降Per-Monitor DPIには非対応)

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 150418
2015/04/18

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 150309
2015/03/09

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 141104
2014/11/04

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 140713
2014/07/13

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 140405
2014/04/05

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 140101
2014/01/01

	・リストで1つも項目が選択されていない場合に範囲選択や選択の切り替えを行うと例外が出続けるのを修正しました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 130818
2013/08/18

	・リスト上から項目を消して選択が消えた状態で最小化->復帰をすると例外が出ていたのを修正しました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 130324
2013/03/24

	・コンパイラをC++BuilderXE2からC++BuilderXE3に変更しました。
	  プロジェクトもC++BuilderXE3で新規に作り直して細かい設定の見直しをしました。

	・iniとプレイリストをマルチユーザー対応にしました。
	  ini名、プレイリスト名それぞれの最後にアンダースコア+ログオンユーザー名が付きます。
	  今までのを引き継ぐにはリネーム(プレイリストは読み込みでもOK)してください。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 130101
2013/01/01

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 121014
2012/10/14

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 120813
2012/08/13

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 120506
2012/05/06

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 120101
2012/01/01

	・本体の変更

		・プレイリストをサイズでソートする際に2Gを超えるサイズのファイルがあると例外が出てソートできなかったのを修正しました。

真空波動研Lite 110813
2011/08/13

	・本体とDLLに変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 110406
2011/04/06

	・[動作]->[表示フォント]を追加、リストの表示フォントが変更できるようにしました。
	  色と言語セット以外は反映されます。
	  フォントのサイズを変えた場合、リストのグリッドが元のままで描画がおかしくなる場合がありますが、
	  そのまま真空波動研Liteを一度再起動してください。(対策方法が解れば直します)

真空波動研Lite 110101
2011/01/01

	・[検索]を追加しました。部分一致でファイル名の検索ができます。

	・[ファイル]->[フォルダを開く]のショートカットキーを削除しました。
	  (検索にCTRL+Fを割り当てたため)

	・[動作]->[同じファイルは複数登録をしない]を追加しました。
	  リストに登録する際に重複するファイルを登録しなくなります。

	・アイコンを高解像度対応のものに差し替えしました。前に頂いたアイコンは分離して真空波動研の方におまけとして同梱してあります。
	  (32x32の他に48x48,96x96,256x256を同梱)

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 100805
2010/08/05

	・本体とDLLに変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 100701
2010/07/01

	・メインウインドウに[ファイル]->[プロパティ]を追加しました。
	  (リストの右クリック最下段にも付けてあります)

	・[ファイル]->[フォルダを開く]がずっと付いてなかったのを追加しました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 100605
2010/06/05

	・100518から起動済の本体に対してショートカットからのファイル渡しが動かなくなっていたのを修正しました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 100518
2010/05/18

	・EXEと同じ場所にDLLがあるのにDLLの読み込みに失敗する場合があるのを修正しました。
	  (Windows7のみ?)

	・アンチウイルスソフトの誤検知の元になるため、UPXによるEXEの圧縮を止めました。

	  DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 100503
2010/05/03

	このバージョンからDLL、EXE共にUnicode専用版となるため動作OSがWindows2000以降となります。
	DLLは真空波動研と同様の修正、追加内容です。

	・コンパイラをC++Builder6からC++Builder2010に変更しました。
	  コンパイラの変更で以下の対応、挙動の変化があります。

			・Vista/7からの「ファイルを開く」等のダイアログがネイティブなものに変化

			・Vista/7からのFlip3Dでの表示に対応

			・7からのタスクバー上でのウインドウ選択に対応

	・iniとプレイリストはUnicodeで保存されるように変更しました。
	  元のShiftJISの形式でファイルが残っているとUnicodeで上書きできないようなので、
	  コンバートできる方はUTF-16LEにコンバートするか、一旦iniとプレイリストを消してください。

	・EXEの名前を変更して起動した場合、iniとプレイリストの名前もEXEの名前に追従するように変更しました。

	・プレイリストのm3u8形式での読み込み/保存に対応しました。

	・m3u8、m3u形式は相対パスで記録するように変更しました。

	・m3u8、m3u形式で拡張形式の場合は該当の行を読み飛ばすように変更しました。

真空波動研Lite 100307
2010/03/07

	・ショートカットやD&Dでの起動時、フォルダも読み込みできるように修正しました。

	・起動アプリを5種類設定できるように変更しました。
	  [動作]->[起動アプリ]でチェックのついているアプリが起動対象になります。
	  (その下の設定で、選択中のアプリのコマンドライン等の設定をします)

	  リスト上で右クリックからは5種類のうち任意を選択する形にしてあります。
	  (最下段実行から選びます)

	  今までの設定は使えなくなるので設定し直してください。

真空波動研Lite 100101
2010/01/01

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	 DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 090902
2008/09/02

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	 DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 090613
2009/06/13

	・本体/DLLに変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 090503
2009/05/03

	・終了時SinkuLite.(ini,shdkl)に書き込みができなかった場合に終了できなくなるのを修正しました。
	  (書き込みしなくなります)

真空波動研Lite 090212
2009/02/12

	・未選択の状態で[リスト編集]->[リネーム]を行うと例外が発生するのを修正しました。

真空波動研Lite 081122
2008/11/22

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	 DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 080809
2008/08/09

	・QuickTimeの形式判定の追加を使って拡張子自動リネームに.mp4を追加しました。
	  コンテナがQuickTimeコンテナ(MPEG4)であれば全て.mp4になります。3GPP等も反応するので注意して下さい。
	  (コンテナのサブブランド名を見ればもう少し細かい分類ができますが1つと限らない上に順番も不定なので参考にできませんでした)

	・連続解析中(複数ファイルやフォルダをドロップ、全ファイル再検査)にESCで処理を中止できるように変更しました。

	・連続解析中(複数ファイルやフォルダをドロップ、全ファイル再検査)に終了しようとすると例外が出るのを修正しました。

真空波動研Lite 080414
2008/04/14

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	 DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 080308
2008/03/08

	・本体に変更はありません。(バージョン数字を合わせたのみ)
	 DLLは真空波動研と同様の修正、追加内容です。

真空波動研Lite 080210
2008/02/10

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 071231
2007/12/31

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 071102
2007/11/02

	・[リスト編集] -> [リネーム]にF2のショートカットキーを割り当てました。

	・Shockwave Audio対応に関係する拡張子自動リネーム等の対応をしました。

	・QuickTime系の拡張子自動リネームを全て*.qtへ変更しました。

	・.manifestを本体に内蔵しました。

真空波動研Lite 070808
2007/08/08

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 070713
2007/07/13

	・プレイリストのシャッフルにMersenne Twisterを使うように変更しました。

真空波動研Lite 070509
2007/05/09

	・Windows9x/ME環境で関連付け起動やアイコンにドロップでの起動の際にファイル名がショートファイル名として
	 扱われるのを修正しました。

	・Windows9x/ME環境で詳細のコピー時に改行が崩れるのを修正しました。

	・終了時にSINKU.DLLの解放を忘れていたのを修正しました。(汗

真空波動研Lite 070422
2007/04/22

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 070202
2007/02/02

	・既に起動中の真空Liteへコマンドライン経由(アイコンにドロップ等)でファイルを追加した場合に、
	 ファイル名が化ける場合があるのを修正しました。

真空波動研Lite 070101
2007/01/01

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 061209
2006/12/09

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 061103
2006/11/03

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 061008
2006/10/08

	・[動作] -> [起動アプリの設定]を追加しました。
	 ここで選択したものが、リストをダブルクリック時に起動するアプリになります。
	 コマンドラインオプションは渡すファイル名の前後を設定できます。

真空波動研Lite 060729
2006/07/29

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 060618
2006/06/18

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 060423
2006/04/23

	・本体に変更はありません。(バージョン数字を合わせたのみ)

真空波動研Lite 060227
2006/02/27

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 060120
2006/01/20

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 051211
2005/12/11

	・起動中にファイルを[送る]や、Lite本体にドロップした際に詳細が出ないのと、
	 カンマを含むファイル名が分割されてしまうのを修正ました。
	 他は真空波動研と同様の修正、追加内容です。

真空波動研Lite 051116
2005/11/16

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 050814
2005/08/14

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 050620
2005/06/20

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 050517
2005/05/17

	・真空波動研で修正した、拡張子自動リネームの動作が初回おかしくなるのを修正しました。
	 その他は真空波動研と同様の修正、追加内容です。

真空波動研Lite 050308
2005/03/07

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 050220
2005/02/20

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 050103
2005/01/03

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 041113
2004/11/13

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 040912
2004/09/12

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 040826
2004/08/26

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 040717
2004/07/17

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 040626
2004/06/26

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 040507
2004/05/07

	・真空波動研と同様の修正、追加内容です。

真空波動研Lite 040220
2004/02/20

	・真空波動研で応募したアイコンを、移植しました。

	・最小化を付け忘れていたので、追加しました。

	・[動作]->[リストを保存しない]を追加しました。終了時にリストを保存しなくなります。
	  デフォルトでチェックが付いてますので、保存をする方はチェック外して下さい。

	・[リスト編集]->[全て選択]、[選択の切り替え]を追加しました。
	  Windows標準の動作と一緒です。全て選択と、選択の反転をします。

真空波動研Lite 040128
2004/01/28

	・真空波動研のプレイリスト部分を流用で大きく変わりました。
	  操作法等はほぼ同一です。
	  リスト内容は、クリアして終了すればクリアされたままになります。

	 詳細等の修正や追加に関する事は、真空波動研に準じます。

真空波動研Lite 040117
2004/01/16

	・真空波動研から分離したので、名称変更しました。

	・[ファイル]->[開く]で複数ファイルを開けるように変更しました。

	・一部の詳細が出なかったのを修正しました。

	・関連付けやSendToからの起動ができるように修正しました。

	・適当なREADME.TXTを付けました。

真空おまけ 040101
2004/01/01

	・とりあえず初版。

------------------------------------------------------
黒羽製作所
https://kurohane.net/
kurohane@kurohane.net
